#!/bin/sh


CAMNAME="oscamicam"

remove_tmp() {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam* /tmp/.oscam
}

case "$1" in
start)
  echo "[SCRIPT] $1: $CAMNAME"
  remove_tmp
  touch /tmp/.emu.info
  echo ${CAMNAME} >/tmp/.emu.info
  #/usr/bin/${CAMNAME} &
  ulimit -s 1024 	
  /usr/bin/oscamicam -b -c /etc/tuxbox/config/oscamicam
  ;;
stop)
  echo "[SCRIPT] $1: $CAMNAME"
  killall -9 ${CAMNAME} 2>/dev/null
  remove_tmp
  ;;
restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
*)
  $0 stop
  exit 0
  ;;
esac

exit 0
